Publications
Resolve a publication whose external outcome is unknown
POST
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthpublicationId*stringLength
1 <= length- body
resolution*stringValue in
"published""failed"externalId?stringLength
1 <= lengthexternalUrl?stringLength
1 <= lengtherrorMessage?stringLength
1 <= lengthResponse for status 200
application/json- response
publication*curl -X POST 'https://postbot.example/api/projects/string/publications/string/reconcile' \
-H 'Content-Type: application/json' \
-d '{
"resolution": "published"
}'Example Response
{
"publication": {
"id": "string",
"projectId": "string",
"postId": "string",
"channelId": "string",
"targetRevisionId": "string",
"deliveryMode": "manual",
"reviewState": "compatible",
"state": "draft",
"scheduledAt": -9007199254740991,
"publishedAt": -9007199254740991,
"externalId": "string",
"externalUrl": "string",
"errorMessage": "string",
"createdByActorId": "string",
"scheduledByActorId": "string",
"stateChangedByActorId": "string",
"publishedByActorId": "string",
"lastAssessedProfileVersionId": "string",
"createdAt": -9007199254740991,
"updatedAt": -9007199254740991,
"profileAssessmentIssues": [
{}
]
}
}